Node Version Draft Get
Get the node's single working draft checkpoint. This is a stable alias for the draft version of a node. It allows clients to read "the draft" without listing versions and inspecting status values. If the node has no draft, or the draft is not visible to the caller, this operation returns not found. The draft is visible only to its author and members with `MANAGE_LIBRARY`.
/nodes/{node_slug}/versions/draftGet the node's single working draft checkpoint.
This is a stable alias for the draft version of a node. It allows clients to read "the draft" without listing versions and inspecting status values. If the node has no draft, or the draft is not visible to the caller, this operation returns not found.
The draft is visible only to its author and members with
MANAGE_LIBRARY.
In: cookie
Path Parameters
Unique node Slug.
Response Body
application/json
application/json
curl -X GET "https://example.com/nodes/cc5lnd2s1s4652adtu50/versions/draft"{
"id": "cc5lnd2s1s4652adtu50",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"node_id": "cc5lnd2s1s4652adtu50",
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"status": "draft",
"previous": {
"id": "cc5lnd2s1s4652adtu50",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"status": "draft"
},
"name": "string",
"slug": "string",
"description": "string",
"content": "string",
"properties": [
{
"fid": "cc5lnd2s1s4652adtu50",
"name": "string",
"value": "string",
"type": "text",
"sort": "string"
}
],
"meta": {}
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}Node Version Delete DELETE
Delete the working draft checkpoint. A draft author can discard their own draft. Members with `MANAGE_LIBRARY` permission can discard any draft for the node. The draft row is removed from history. Applied versions are immutable history entries and cannot be deleted through this endpoint.
Node Version Draft Update PATCH
Update the node's single working draft checkpoint. This is a stable alias for patching the draft version of a node without first listing versions or knowing the draft version identifier. The node must already have a draft visible to the caller. This operation does not create a draft and does not apply the draft to the target node. The caller must be the draft author or have `MANAGE_LIBRARY`. Fields omitted from the request are left unchanged on the draft snapshot. Explicit null values clear nullable fields. Properties are a complete desired-state list for the target node properties.